Skip to main content
Version: 2026-03-06.1

Instrument Classes

Data Model

Instrument Class

  • name (string, required): Display name of the instrument class.

Instrument Class Detailed

  • name (string, required): Display name of the detailed instrument class.

Relationships

  • instrumentClass: The instrument class that the detailed instrument class belongs to.

Endpoints

GET /instrument-classes/:id

Fetch the instrument class with the given id.

Parameters

  • id (path, required): Instrument class identifier.

Examples

200 OK
# Request
GET /api/v2/instrument-classes/5e6a90cf921d8b1874c32ed5 HTTP/1.1
Accept: application/vnd.json+api
Authorization: Bearer <access token>
Host: platform.aleta.io

# Response
HTTP/1.1 200 OK
Content-Type: application/vnd.json+api

{
"data": {
"id": "f2d93a1df9ffeb8aa6c140be",
"type": "instrument-class",
"attributes": {
"name": "Equities"
}
}
}

GET /instrument-classes-detailed/:id

Fetch the detailed instrument class with the given id.

Parameters

  • id (path, required): Detailed instrument class identifier.

Examples

200 OK
# Request
GET /api/v2/instrument-classes-detailed/5e6a90cf921d8b1874c32ed5 HTTP/1.1
Accept: application/vnd.json+api
Authorization: Bearer <access token>
Host: platform.aleta.io

# Response
HTTP/1.1 200 OK
Content-Type: application/vnd.json+api

{
"data": {
"id": "68c280b298f321781b449771",
"type": "instrument-class-detailed",
"attributes": {
"name": "Equities - American"
},
"relationships": {
"instrumentClass": {
"data": {
"type": "instrument-class",
"id": "f2d93a1df9ffeb8aa6c140be"
}
}
}
}
}